<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="@dimen/dp_10"
    android:layout_marginTop="@dimen/dp_10"
    android:layout_marginRight="@dimen/dp_10">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/shape_white_eight_corners_bg"
        android:orientation="vertical"
        android:paddingBottom="@dimen/dp_5">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingTop="@dimen/dp_6"
            android:paddingBottom="@dimen/dp_9">

            <CheckBox
                android:id="@+id/cb_order_item_all_select"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_12"
                android:layout_weight="6"
                android:button="@drawable/selector_checkbox"
                android:textColor="@color/black"
                android:textSize="@dimen/dp_16"
                tools:text="海鮮天地" />

            <TextView
                android:id="@+id/tv_minimumAmount"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_5"
                android:layout_marginRight="@dimen/dp_5"
                android:layout_weight="4"
                android:gravity="right"
                android:text="@string/minimumAmount"
                android:textColor="@color/required_color"
                android:textSize="@dimen/dp_14" />
        </LinearLayout>

        <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_shopping_cart_food"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

        <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_5"
            android:layout_marginTop="@dimen/dp_5"
            android:layout_marginRight="@dimen/dp_5"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="食材種類："
                android:textColor="@color/color_222"
                android:textSize="@dimen/dp_15" />

            <TextView
                android:id="@+id/tv_order_item_food_type_total"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:textColor="@color/required_color"
                android:textSize="@dimen/dp_14"
                android:textStyle="bold"
                tools:text="3" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_5"
                android:gravity="right"
                android:text="總\u3000\u3000計："
                android:textColor="@color/color_222"
                android:textSize="@dimen/dp_15" />

            <TextView
                android:id="@+id/tv_order_item_total_amount"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:textColor="@color/required_color"
                android:textSize="@dimen/dp_14"
                android:textStyle="bold"
                tools:text="$330" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_5"
            android:layout_marginRight="@dimen/dp_5"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="運\u3000\u3000費："
                android:textColor="@color/color_222"
                android:textSize="@dimen/dp_15" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="$"
                android:textColor="@color/required_color"
                android:textSize="@dimen/dp_14"
                android:textStyle="bold" />

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/tv_order_item_freight"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@null"
                android:inputType="numberDecimal"
                android:text="0"
                android:textColor="@color/required_color"
                android:textSize="@dimen/dp_14"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_5"
                android:gravity="right"
                android:text="實際應付："
                android:textColor="@color/color_222"
                android:textSize="@dimen/dp_15" />

            <TextView
                android:id="@+id/tv_order_item_actual_pay_amount"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:textColor="@color/required_color"
                android:textSize="@dimen/dp_14"
                android:textStyle="bold"
                tools:text="$330" />
        </LinearLayout>

        <TextView
            android:id="@+id/rv_purchase_shopping_estimate_delivery_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_5"
            android:layout_marginTop="@dimen/dp_5"
            android:layout_marginRight="@dimen/dp_5"
            android:textColor="@color/other_order_details_sure_btn_color"
            android:textSize="@dimen/dp_12"
            tools:text="預計送貨時間：默認第二天日期" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_5"
            android:layout_marginRight="@dimen/dp_5"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="備註："
                android:textColorHint="@color/color_222"
                android:textSize="@dimen/sp_14" />

            <EditText
                android:id="@+id/ed_purchase_shopping_remarks"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="手動輸入"
                android:textColor="@color/color_3c"
                android:textColorHint="@color/color_c9"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <TextView
            android:id="@+id/rv_purchase_shopping_minimum_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_5"
            android:layout_marginRight="@dimen/dp_5"
            android:layout_marginBottom="@dimen/dp_5"
            android:text="未滿足該供應商最低採購金額，請繼續添加食材"
            android:textColor="@color/required_color"
            android:textSize="@dimen/dp_12" />
    </LinearLayout>

    <View
        android:id="@+id/item_purchase_shopping_parent_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/shape_eight_corners_red_border_bg"
        android:visibility="gone" />
</FrameLayout>
